Bug 1122488 - Rest API - displayNames of spaces navigation nodes are displayed as variables
Summary: Rest API - displayNames of spaces navigation nodes are displayed as variables
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: 6.2.0
Assignee: Peter Palaga
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:29 UTC by mgottval
Modified: 2014-09-15 00:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The Portal API implementation is not handling WebUI style localization place holders in displayNames field of a navigation node. Consequence: The placeholders of the form #{my.key} are returned verbatim from Node.getDisplayNames() Workaround (if any): There is no workaround for existing portals. For new portals, one should avoid using #{my.key} placeholders in navigation.xml files. One should rather use multiple <label> elements with xml:lang attribute set, like <label xml:lang="en">My English Label</label> for English. Result: See Consequence.
Clone Of:
Environment:
Last Closed: 2014-07-31 11:46:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3527 Major Resolved Node.displayNames contains #{key} in rest API 2014-08-29 13:46:28 UTC

Description mgottval 2014-07-23 11:29:51 UTC
When node of existing space navigation is accessed, list of display names have wrong value - variable instead of the value.
e.g.:
link: http://localhost:8080/rest/private/managed-components/api/spaces/platform/administrators/navigation/administration

"displayNames" : [{"value" : "#{administration.title}"}]

Comment 2 Peter Palaga 2014-07-30 15:27:00 UTC
https://github.com/gatein/gatein-portal/pull/893 sent to upstream

Comment 3 Peter Palaga 2014-07-31 11:46:34 UTC
Although the fix is ready, and will probably be included in GateIn master soon, we have decided that it is too late and risky to include it in JBoss Portal 6.2. Through GateIn master, the fix will reach JBoss Portal 6.3.


Note You need to log in before you can comment on or make changes to this bug.